program SonyFont;
{$APPTYPE CONSOLE}

uses
  SysUtils,
  uTrueType in 'uTrueType.pas',
  uTrueTypeStruct in 'uTrueTypeStruct.pas',
  uTrueTypeFunc in 'uTrueTypeFunc.pas',
  uTrueTypeConst in 'uTrueTypeConst.pas',
  uStringUtils in 'uStringUtils.pas',
  uTrueTypeInternalStruct in 'uTrueTypeInternalStruct.pas',
  uSonyFontCLI in 'uSonyFontCLI.pas',
  uSonyFont in 'uSonyFont.pas';

var RetCode: integer;

begin
  try
    with TSonyFontCli.Create do
      try
        RetCode := Execute;
      finally
        Free;
      end;
  except
    on E: Exception do
      begin
      Writeln('UNKNOWN ERROR ' + E.ClassName + ': ' + E.Message);
      RetCode := 255;
      end;
    end;
  Halt(RetCode);
end.
