unit uTrueTypeStruct;

interface

type
  TT_BYTE = byte;
  TT_CHAR = AnsiChar;
  PTT_USHORT = ^TT_USHORT;
  TT_USHORT = array[0..1] of byte;
  TT_SHORT = array[0..1] of byte;
  TT_ULONG = array[0..3] of byte;
  TT_LONG = array[0..3] of byte;
  TT_FIXED = array[0..3] of byte;

  PTT_OffsetTable = ^TT_OffsetTable;
  TT_OffsetTable = packed record
    sfntVersion: TT_FIXED;
    numTables: TT_USHORT;
    searchRange: TT_USHORT;
    entrySelector: TT_USHORT;
    rangeShift: TT_USHORT;
    end;

  PTT_TableDirectory = ^TT_TableDirectory;
  TT_TableDirectory = packed record
    tag: TT_ULONG;
    checkSum: TT_ULONG;
    offset: TT_ULONG;
    length: TT_ULONG;
    end;

  PTT_NamingTable = ^TT_NamingTable;
  TT_NamingTable = packed record
    formatSelector: TT_USHORT;
    numNameRecords: TT_USHORT;
    storageOffsetFromTable: TT_USHORT;
    end;

  PTT_NamingTableNameRecord = ^TT_NamingTableNameRecord;
  TT_NamingTableNameRecord = packed record
    platformID: TT_USHORT;
    encodingID: TT_USHORT;
    languageID: TT_USHORT;
    nameID: TT_USHORT;
    length: TT_USHORT;
    stringOffsetFromStorage: TT_USHORT;
    end;

implementation

end.
